<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activityChristmas"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#000000"
    tools:context=".activityChristmas">

    <NumberPicker
        android:id="@+id/picker"
        android:layout_width="0dp"
        android:layout_height="350dp"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        android:theme="@style/NumberPickerChristmas"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonColor1"
        android:layout_width="0dp"
        android:layout_height="80dp"
        android:layout_marginStart="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="5dp"
        android:background="@drawable/christmas_red"
        app:layout_constraintEnd_toStartOf="@+id/buttonColor2"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/picker"
        tools:ignore="SpeakableTextPresentCheck" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonColor2"
        android:layout_width="0dp"
        android:layout_height="80dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="5dp"
        android:background="@drawable/christmas_yellow"
        app:layout_constraintEnd_toStartOf="@+id/buttonColor3"
        app:layout_constraintStart_toEndOf="@+id/buttonColor1"
        app:layout_constraintTop_toBottomOf="@+id/picker"
        tools:ignore="SpeakableTextPresentCheck" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonColor3"
        android:layout_width="0dp"
        android:layout_height="80dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="5dp"
        android:background="@drawable/christmas_green"
        app:layout_constraintEnd_toStartOf="@+id/buttonColor4"
        app:layout_constraintStart_toEndOf="@+id/buttonColor2"
        app:layout_constraintTop_toBottomOf="@+id/picker"
        tools:ignore="SpeakableTextPresentCheck" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonColor4"
        android:layout_width="0dp"
        android:layout_height="80dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:background="@drawable/christmas_lightblue"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/buttonColor3"
        app:layout_constraintTop_toBottomOf="@+id/picker"
        tools:ignore="SpeakableTextPresentCheck" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonColor5"
        android:layout_width="0dp"
        android:layout_height="80dp"
        android:layout_marginStart="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="5dp"
        android:background="@drawable/christmas_blue"
        app:layout_constraintEnd_toStartOf="@+id/buttonColor6"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/buttonColor1"
        tools:ignore="SpeakableTextPresentCheck" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonColor6"
        android:layout_width="0dp"
        android:layout_height="80dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="5dp"
        android:background="@drawable/christmas_purple"
        app:layout_constraintEnd_toStartOf="@+id/buttonColor7"
        app:layout_constraintStart_toEndOf="@+id/buttonColor5"
        app:layout_constraintTop_toBottomOf="@+id/buttonColor2"
        tools:ignore="SpeakableTextPresentCheck" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonColor7"
        android:layout_width="0dp"
        android:layout_height="80dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="5dp"
        android:background="@drawable/christmas_white"
        app:layout_constraintEnd_toStartOf="@+id/buttonColor8"
        app:layout_constraintStart_toEndOf="@+id/buttonColor6"
        app:layout_constraintTop_toBottomOf="@+id/buttonColor3"
        tools:ignore="SpeakableTextPresentCheck" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonColor8"
        android:layout_width="0dp"
        android:layout_height="80dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:background="@drawable/christmas_changing"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/buttonColor7"
        app:layout_constraintTop_toBottomOf="@+id/buttonColor4" />

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/buttonPower"
        android:layout_width="0dp"
        android:layout_height="60dp"
        android:layout_marginStart="50dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="50dp"
        android:text="@string/ein_aus"
        android:background="@drawable/button_text_color"
        android:textColor="@color/white"
        android:textSize="20sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/buttonColor5" />

</androidx.constraintlayout.widget.ConstraintLayout>